Bug 6865 - Replace image-based gradient backgrounds with CSS3 gradients
Summary: Replace image-based gradient backgrounds with CSS3 gradients
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: 3.6
Hardware: All All
: P5 - low enhancement (vote)
Target Milestone: ---
Assignee: Owen Leonard
QA Contact: Bugs List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 7629
  Show dependency treegraph
 
Reported: 2011-09-12 20:13 UTC by Owen Leonard
Modified: 2013-12-05 19:59 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Proposed fix (44.21 KB, patch)
2011-12-02 19:16 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 6865 - Replace image-based gradient backgrounds with CSS3 gradients (44.18 KB, patch)
2011-12-06 23:55 UTC, Chris Cormack
Details | Diff | Splinter Review
Follow-up fix (1.98 KB, patch)
2012-01-24 13:57 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 6865 - Follow-up, Replace image-based gradient backgrounds with CSS3 gradients (2.08 KB, patch)
2012-02-07 14:11 UTC, Jared Camins-Esakov
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2011-09-12 20:13:31 UTC
Browser support for CSS3 background gradients is good enough to stop using background images for the same effect. This will make the interface a little more efficient.
Comment 1 Owen Leonard 2011-12-02 19:16:20 UTC Comment hidden (obsolete)
Comment 2 Chris Cormack 2011-12-06 23:54:13 UTC
Works fine in chromium 17 and firefox under linux.
Comment 3 Chris Cormack 2011-12-06 23:55:19 UTC Comment hidden (obsolete)
Comment 4 Paul Poulain 2011-12-08 16:42:22 UTC
QA comment: it's worth having another signoff from someone that tested the OPAC under IE
Comment 5 Paul Poulain 2011-12-13 15:14:11 UTC
tested on IE7, works fine. Do you think an other IE is needed ?
Owen,which browser did you test ?
Comment 6 Owen Leonard 2011-12-13 15:18:56 UTC
I tested in IE8 on Windows 7
Comment 7 Paul Poulain 2011-12-13 15:23:15 UTC
owen tested IE8 on win7, it's enough browser.

passed QA

patch pushed, please test

chris_n, maybe worth cherry picking, is fair to wait for 3.8 too
Comment 8 Owen Leonard 2012-01-24 13:32:55 UTC
Follow-up required: Staff client login form has a separate CSS file which was not updated.
Comment 9 Owen Leonard 2012-01-24 13:57:44 UTC Comment hidden (obsolete)
Comment 10 Jared Camins-Esakov 2012-02-07 14:11:49 UTC
Created attachment 7474 [details] [review]
Bug 6865 - Follow-up, Replace image-based gradient backgrounds with CSS3 gradients

Staff client login screen has a separate CSS file which wasn't
included in the original changes for Bug 6865. This caused a 404
error (missing background image).

Signed-off-by: Jared Camins-Esakov <jcamins@cpbibliography.com>
Tested in Chrome, FF, Safari, and IE8.
Comment 11 Ian Walls 2012-02-07 16:59:59 UTC
Signed off patch is CSS change only, implements full browser spectrum of CSS3 gradients.  Marking as Passed QA.
Comment 12 Jared Camins-Esakov 2012-05-23 23:52:41 UTC
This was pushed to 3.6.x prior to 3.6.4.